$:.unshift File.expand_path("../../config", __FILE__)
require 'autoaudio/settings_setup'
require 'settings'

require 'rubygems'
require 'open-uri'
require 'date'

require 'thor'
require 'mongoid'
require 'retries'
require 'nokogiri'
require 'mechanize'
require 'awesome_print'

require 'gist' if Autoaudio::Settings.share_files

require 'autoaudio/version'
require 'autoaudio/utils'
require 'autoaudio/genre'
require 'autoaudio/release_date'
require 'autoaudio/release'

require 'autoaudio/setup'
require 'autoaudio/make'
require 'autoaudio/download'
require 'autoaudio/destroy'
require 'autoaudio/stats'
require 'autoaudio/cli'

module Autoaudio
  Mongoid.load!('config/mongoid.yml', :development)
end


