require 'thor'

module Autoaudio
  class Destroy < Thor

    desc 'everything', 'destroys all genres, releases and release dates'
    def everything
      if yes?("Preparing to destroy Everything. Are you sure? [yN]")
        invoke :genres
        invoke :release_dates
        invoke :releases
      else
        say "That's probably for the best..."
      end
    end

    desc 'releases', 'destroys all releases'
    def releases
      if yes?("Preparing to destroy all releases. Are you sure? [yN]")
        Release.destroy_all
        say "BOOM!", :red
      else
        say "That's probably for the best..."
      end
    end

    desc 'genres', 'destroys all genres'
    def genres
      if yes?("Preparing to destroy all genres. Are you sure? [yN]")
        Genre.destroy_all
        say "BOOM!", :red
      else
        say "That's probably for the best..."
      end
    end

    desc 'release_dates', 'destroys all release dates'
    def release_dates
      if yes?("Preparing to destroy all release dates. Are you sure? [yN]")
        ReleaseDate.destroy_all
        say "BOOM!", :red
      else
        say "That's probably for the best..."
      end
    end
  end
end
