module Autoaudio

  class Genre
    include Autoaudio::Utils
    include Mongoid::Document

    field :genre_name,            type: String
    field :genre_name_formatted,  type: String,  default: -> { format_string(self.genre_name) }
    field :genre_number,          type: Integer
    field :genre_url,             type: String,  default: -> { "http://nfodb.net.ru/index.php?genreid=#{self.genre_number}" }
    field :genre_rss_url,         type: String,  default: -> { "http://nfodb.net.ru/rss.php?type=#{self.genre_number}" }
  end

end
