#!/usr/bin/ruby

require 'mechanize'
require 'thor'

# ---------------------------------------------

class Download < Thor
  desc "anonymous_gist GIST_HASH", "Example: thor download:anonymous_gist 7da2f5e6bf31b3ec4eee"

  def anonymous_gist(gist_hash)
    anon_regex  = /https:\/\/anonfiles.com\/file\/\b[A-Za-z0-9]{32}\b/
    agent       = Mechanize.new
    page        = agent.get("https://gist.github.com/anonymous/#{gist_hash}/raw/")
    song_links  = page.body.scan(anon_regex)

    song_links.each do |link|
      page          = agent.get(link)
      download_link = page.link_with(:class => /download_button/, :text => /Download/)
      title         = page.title.gsub('AnonFiles.com - ', '')
      download_link.click.save! "#{Dir.home}/Downloads/AnonNZB/#{title}"
    end
  end
end
