module Autoaudio
  class Cli < Thor
    include Autoaudio::Utils

#    unless Settings.initialized
#      Setup.new.setup
#    end

    desc 'make SUBCOMMAND', 'make'
    subcommand 'make', Autoaudio::Make

    desc 'download SUBCOMMAND', 'download'
    subcommand 'download', Autoaudio::Download

    desc 'destroy SUBCOMMAND', 'destroy'
    subcommand 'destroy', Autoaudio::Destroy

    desc 'stats SUBCOMMAND', 'stats'
    subcommand 'stats', Autoaudio::Stats

    desc 'setup', 'setup'
    subcommand 'setup', Autoaudio::Setup

    desc 'list', 'list all autoaudio commands'
    def list
      system('thor list')
    end

  end
end
