module Autoaudio
  module Utils
    def write_gist(string)
      File.open('./log/gist.txt', 'a') { |f| f.write "* #{string}\n" }
    end

    def sanitize_filename(filename)
      fn = filename.split(/(?<=.)\.(?=[^.])(?!.*\.[^.])/m)
      fn.map! { |s| s.gsub( /[^a-z0-9\-]+/i, '_') }
      return fn.join('.')
    end

    def test_audio_format(string)
      string = string.dup
      string.match(/FLAC/) ? string = "FLAC" : string = "MP3"
    end

    def format_string(string)
      string = string.dup
      string.gsub!(/&/, '_and_') if string.match(/\w&\w/)
      string.gsub!(/\+/, '_and_')
      string.gsub!(/&/, 'and')
      string.gsub!(/-/, '_')
      string.gsub!(/ / ,'_')
      string.downcase!
      string
    end
  end
end
